Unable to use RPM in Fedora Core 2

Place to discuss Fedora and/or Red Hat
Post Reply
Buzza24
scripter
scripter
Posts:59
Joined:Fri Mar 14, 2003 2:01 am
Contact:
Unable to use RPM in Fedora Core 2

Post by Buzza24 » Fri Nov 12, 2004 1:39 am

Hey guys,

how ya all doing?

I have just finished install FC2 and tried in install apt-get. I have just got the following error:
[root@ibmapt-89a Linux]# rpm -Uhv APT_0_5_15CNC6_0_1_FC1_FR_I.RPM
warning: APT_0_5_15CNC6_0_1_FC1_FR_I.RPM: V3 DSA signature: NOKEY, key ID e42d547b
error: Failed dependencies:
librpm-4.2.so is needed by apt-0.5.15cnc6-0.1.fc1.fr
librpmdb-4.2.so is needed by apt-0.5.15cnc6-0.1.fc1.fr
librpmio-4.2.so is needed by apt-0.5.15cnc6-0.1.fc1.fr
What do I do now?
thanks.

Tux
guru
guru
Posts:689
Joined:Wed Jan 08, 2003 10:40 am

Post by Tux » Fri Nov 12, 2004 5:21 am

You need to use a different version of apt-get, that one is linked against an older version of RPM (from FC1)
Try this:

http://ftp.freshrpms.net/pub/freshrpms/ ... r.i386.rpm

User avatar
Calum
guru
guru
Posts:1349
Joined:Fri Jan 10, 2003 11:32 am
Location:Bonny Scotland
Contact:

Post by Calum » Mon Nov 15, 2004 5:53 am

i remember this problem. this is why i keep going back to red hat 9, the various versions of fedora i have got seem to miss out this sort of detail when being put together. take tux's advice and try a lot of different versions of rpm and apt i would say, although you will probably have more problems upgrading rpm than downgrading apt in the first instance.

User avatar
Void Main
Site Admin
Site Admin
Posts:5716
Joined:Wed Jan 08, 2003 5:24 am
Location:Tuxville, USA
Contact:

Post by Void Main » Mon Nov 15, 2004 8:53 am

This is not a problem with Fedora. Tux is right, he is using the FC1 apt RPM which will not work with FC3. apt works just fine on FC3 if you use the FC3 apt RPM from either FreshRPMS or the FC2 RPM from Dag (for some reason Dag didn't have a new FC3 apt RPM up yet as of yesterday, the repos are up though). "apt" is not included with the base FC3 distro so when you do an upgrade it will not be upgraded. I don't know why they don't include it because it's a 1000 times better than that stupid "yum" garbage. I think there are some sort of repository wars going on between the really good ones and the Fedora repository. Oh well, apt has worked perfectly for me on every version since Red Hat 8.0 when I first started using it on the Red Hat distros. I used it on Debian before that.

FreshRPMS apt:
http://ftp.freshrpms.net/pub/freshrpms/ ... r.i386.rpm

Dag apt:
http://apt.sw.be/fedora/3/en/i386/RPMS. ... g.i386.rpm

I use the Dag apt with no problem on 3 FC3 installations. Since it is the version for FC2 after installing you will have to go in and edit your /etc/apt/sources.list.d/*.list files and change the "2" to a "3" in the repository urls. After a successful "apt-get update" you might have to do an "apt-get -f install".

Post Reply